# class Sass::Tree::WhileNode

A dynamic node representing a Sass `@while` loop.

@see Sass::Tree

### Attributes

expr[RW]

The parse tree for the continuation expression. @return [Script::Tree::Node]

### Public Class Methods

new(expr) click to toggle source

@param expr [Script::Tree::Node] See {#expr}

Calls superclass method Sass::Tree::Node.new

    # File lib/sass/tree/while_node.rb, line 13
    def initialize(expr)
      @expr = expr
      super()
    end